module gridset

  implicit none

  private

  public :: GridSetInit


  integer, save, public :: imax = 1
  integer, save, public :: jmax = 1
  integer, save, public :: kmax = -1


  character(128), save :: ModuleName = 'gridset'

  logical, save :: FlagInited = .false.

contains

  !----------------------------------------------------------------------------

  subroutine GridSetInit( &
    & Argkmax &
    & )

    integer, intent(in) :: Argkmax


    if ( FlagInited ) return


    kmax = Argkmax


    FlagInited = .true.

  end subroutine GridSetInit

end module gridset
